<? 

$db = $GLOBALS['db'];

$account=$_GET['account'];
$account_id=$_GET['account_id'];
$account_name=$_GET['account_name'];
$type=$_GET['type'];

if(!$_GET['date_from'])$date_from=date("Y-m-d");
else $date_from=$GLOBALS['timedate']->to_db_date($_GET['date_from']);
$exp=explode("-",$date_from);
$date_from=date("Y-m-d",mktime(0,0,0,$exp[1],$exp[2],$exp[0])+24*3600);
if(!$date_from)$date_from=date("Y-m-d");

if(!$_GET['date_to'])$date_to=date("Y-m-d");
else $date_to=$GLOBALS['timedate']->to_db_date($_GET['date_to']);
$exp=explode("-",$date_to);
$date_to=date("Y-m-d",mktime(0,0,0,$exp[1],$exp[2],$exp[0])+24*3600);
if(!$date_to)$date_to=date("Y-m-d");

?>
<table cellspacing="0" cellpadding="0" border="0"><tr><td><img src="themes/Sugar/images/EcmProducts.gif" style="margin-top: 3px; margin-right: 3px;" alt="EcmProducts" width="16" border="0" height="16"></td><td><h2>Sprzedaż </h2></td></tr></table><br />
<ul class="tablist" style="width:100%;">
<li>
	<a class="current" href="#">Podstawowe wyszukiwanie</a>
</li>		
</ul>
<form action="index.php" method="get" name="search_reports">
<input type="hidden" name="module" value="EcmReports" />
<input type="hidden" name="action" value="ListDailySales2" />
<table style="border-top: 0px none; margin-bottom: 4px;width:100%" class="tabForm" border="0" cellpadding="0" cellspacing="0">
<tbody>
	<tr>			
		<td class="dataLabel" width="5%" nowrap="nowrap">
			Data od	</td>
		<td class="dataField" width="10%" nowrap="nowrap">
			<input autocomplete="off" name="date_from" id="date_from" value="<? echo $GLOBALS['timedate']->to_display_date($date_from);?>" title="" tabindex="" size="11" maxlength="10" type="text">
			<img src="themes/default/images/jscalendar.gif" alt="Enter Date" id="date_from_trigger" align="absmiddle" border="0">
			<script type="text/javascript">
			Calendar.setup ({
			inputField : "date_from",
			daFormat : "<? echo str_replace("d","%d",str_replace("m","%m",str_replace("Y","%Y",$GLOBALS['timedate']->get_date_format())));?>",
			button : "date_from_trigger",
			singleClick : true,
			dateStr : "",
			step : 1
			}
			);
			</script>
	  	</td>	
		<td class="dataLabel" width="10%" nowrap="nowrap">
			Data do</td>
		<td class="dataField" width="30%" nowrap="nowrap">
			<input autocomplete="off" name="date_to" id="date_to" value="<? echo $GLOBALS['timedate']->to_display_date($date_to);?>" title="" tabindex="" size="11" maxlength="10" type="text">
			<img src="themes/default/images/jscalendar.gif" alt="Enter Date" id="date_to_trigger" align="absmiddle" border="0">
			<script type="text/javascript">
			Calendar.setup ({
			inputField : "date_to",
			daFormat : "<? echo str_replace("d","%d",str_replace("m","%m",str_replace("Y","%Y",$GLOBALS['timedate']->get_date_format())));?>",
			button : "date_to_trigger",
			singleClick : true,
			dateStr : "",
			step : 1
			}
			);
			</script>
	  	</td>	
		<td class="dataLabel" width="10%" nowrap="nowrap">
			Kontrahent	</td>
		<td class="dataField" width="30%" nowrap="nowrap">
			<!--<select name="account">
			<option value="">select</option>
			<?php
			$w=$db->query("select id,name from accounts where deleted='0' order by name asc");
			while($r=$db->fetchByAssoc($w)){
				echo '<option value="'.$r['id'].'"';
				if($account==$r['id'])echo ' selected';
				echo '>'.$r['name'].'</option>';
			}
			?>
			</select>-->
			<input name="account_name" tabindex="" id="account_name" size="" value="<?php echo $_REQUEST['account_name'];?>" title="" type="text">
			<input name="account_id" id="account_id" value="<?php echo $_REQUEST['account_id'];?>" type="hidden">
			<input name="btn_account_name" tabindex="" title="Select [Alt+T]" accesskey="T" class="button" value="Wybierz" onclick='open_popup("Accounts", 600, 400, "", true, false, {"call_back_function":"set_return","form_name":"search_reports","field_to_name_array":{"id":"account_id","name":"account_name"}}, "single", true);' type="button">

	  	</td>
		<td class="dataLabel" width="10%" nowrap="nowrap">
			Typ dokumentu	</td>
		<td class="dataField" width="30%" nowrap="nowrap">
			<select name="type">
			<option value="" <? if($type=="")echo 'selected';?>>normalny i korekta</option>
			<option value="normal" <? if($type=="normal")echo 'selected';?>>normalny</option>
			<option value="correct" <? if($type=="correct")echo 'selected';?>>korekta</option>
			</select>
	  	</td>
	 </tr>
</tbody>
</table>

<input class="button" name="submit" value="Szukaj" type="submit">
<input class="button" name="clear" value="Wyczyść" type="button" onclick="location.href='index.php?module=EcmReports&action=ListDailySales';"><?
echo '&nbsp;<input type="button" class="button" name="CreateXLS" value="Otwórz XLS" onclick="location.href=\'index.php?module=EcmInvoiceOuts&action=CreateXLS&date_from='.$date_from.'&date_to='.$date_to.'&account_id='.$account_id.'&account_name='.$account_name.'&type='.$type.'\';">';
?>
</form><br />
<?php

$tds1='<td class="listViewThS1">';

$trs='<tr onMouseover="this.bgColor=\'#EEEEEE\'"onMouseout="this.bgColor=\'#FFFFFF\'">';
$tre='</tr>';

$tds='<td class="oddListRowS1">';
$tde='</td>';

$tbs='<table cellpadding="0" cellspacing="0" border="0" class="ListView" style="width:100%;">';
$tbe='</table>';

$i=1;
$wh[]="deleted='0'";
$wh[]="canceled='0'";
if($type)$wh[]="type='".$type."'";
if($account_id)$wh[]="parent_id='".$account_id."'";
if($account_name)$wh[]="parent_name like '".$account_name."%'";
if($date_from)$wh[]="register_date>='".$date_from."'";
if($date_to)$wh[]="register_date<='".$date_to."'";
$where=implode(" and ",$wh);
$z="select purchase_price,total, subtotal,document_no,register_date,id,parent_id,parent_name,type,ecminvoiceout_id,currency_value,discount from ecminvoiceouts where ".$where." order by type desc, register_date asc, name asc";
$w=$db->query($z);
$z2="select purchase_price,total, subtotal,document_no,register_date,id,parent_id,parent_name,type,ecminvoiceout_id,currency_value,discount from ecminvoiceouts where ".$where." group by parent_id";
//echo $z2;
$w2=$db->query($z2);
$i=0;
$ar=array();
while($r2=$db->fetchByAssoc($w2)){
$ar[$i]['parent_id']=$r2['parent_id'];

$ar[$i]['parent_name']=$r2['parent_name'];
$ar[$i]['total']=0;
$ar[$i]['subtotal']=0;
$w3=$db->query("select ac.assigned_user_id,us.first_name,us.last_name,us.id from accounts as ac
inner join users as us on us.id=ac.assigned_user_id where ac.id='".$r2['parent_id']."'");
$us=$db->fetchByAssoc($w3);
$ar[$i]['user']=$us['first_name'].' '.$us['last_name'];
$ar[$i]['userid']=$us['id'];
$i++;
}
//echo '<br>'.$w->num_rows.'<br>';
echo mysql_error();
$sum_margin = 0;
$count_normal = 0;

while($r=$db->fetchByAssoc($w)){
if(!$r['currency_value'])$currency_value=1;
else {
	$currency_value=$r['currency_value'];
	//echo $currency_value;
	}
	//$currency_value=1;
	
	$total_netto=$r['subtotal']*$currency_value;
	$total_pur=$r['purchase_price'];
	$total_brutto=$r['total']*$currency_value;
	$total_margin=0;
	for($ac=0;$ac<count($ar);$ac++){
	if($ar[$ac]['parent_id']==$r['parent_id']){
	$ar[$ac]['total']+=$total_brutto;
	$ar[$ac]['subtotal']+=$total_netto;
	
	}
	}
	if ($r['document_no']=='001/E/2013') echo $currency_value.'<br>'.$r['subtotal'].'<br>'.$total_netto;


	if($total_netto-$total_margin>0)$margin=100*$total_margin/($total_netto-$total_margin);
	else $margin=0;
	

	
	if($r['discount']>0){
		$vr=$total_brutto/$total_netto;
		$total_brutto=$total_brutto-$r['discount'];
		$total_netto=$total_brutto/$vr;
	}

	$i++;
}
$pokaz=0;
$t.=$tbs;
$t.=$trs;
	$t.=$tds1;
		$t.="Kontrahent";
	$t.=$tde;
	$t.=$tds1;
		$t.="Razem Brutto";
	$t.=$tde;
	$t.=$tds1;
		$t.="Razem Netto";
	$t.=$tde;
	$t.=$tds1;
		$t.="Koszt";
	$t.=$tde;
	$t.=$tds1;
		$t.="PLN Margin";
	$t.=$tde;
	$t.=$tds1;
		$t.="Użytkownik";
	$t.=$tde;
$t.=$tre;
	for($ac=0;$ac<count($ar);$ac++){
	$pokaz+=$ar[$ac]['total'];
	$pokaz2+=$ar[$ac]['subtotal'];
	$t.=$trs;
		$t.=$tds;
			$t.='<a href="index.php?module=Accounts&action=DetailView&record='.$ar[$ac]['parent_id'].'">'.$ar[$ac]['parent_name'].'</a>';
		$t.=$tde;
		$t.=$tds;
			$t.=format_number($ar[$ac]['total']);
		$t.=$tde;
		$t.=$tds;
			$t.=format_number($ar[$ac]['subtotal']);
		$t.=$tde;
		$t.=$tds;
			$t.=format_number($total_pur);
		$t.=$tde;
		$t.=$tds;
			$t.=format_number($total_margin)."%";
		$t.=$tde;
		$t.=$tds;
			$t.='<a href="index.php?module=Users&action=DetailView&record='.$ar[$ac]['userid'].'">'.$ar[$ac]['user'].'</a>';
		$t.=$tde;
	$t.=$tre;  
	}
	$t.=$trs;
	//if($sum_total_netto-$sum_total_margin>0)$sum_margin=100*$sum_total_margin/($sum_total_netto-$sum_total_margin);
	//else $sum_margin=0;
	$t.=$tds1;
		$t.="&nbsp;";
	$t.=$tde;
	$t.=$tds1;
		$t.=format_number($pokaz);
	$t.=$tde;
	$t.=$tds1;
		$t.=format_number($pokaz2);
	$t.=$tde;
	$t.=$tds1;
		$t.=format_number($sum_total_pur);
	$t.=$tde;
	$t.=$tds1;
		$t.=format_number($sum_margin/$count_normal)."%";
	$t.=$tde;
$t.=$tre;

$t.=$tbe;
	echo $t;
?>